@import "style.css";

.hero-banner__slide {
  position: relative;
}

.hero-banner__slide::before {
  content: "";
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: #0000006b;
  position: absolute;
}

.hero-banner__slide img {
  max-width: 100%;
  width: 100%;
  height: 738px;
  object-fit: cover;
  display: block;
}

.hero-banner__slide--content {
  position: absolute;
  top: 0;
  height: 100%;
  width: 100%;
  left: 0;
  padding: 64px 0 60px;
}

.hero-banner__slide--content>.container {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.hero-banner__slide .title {
  padding-top: 16px;
  border-color: var(--border3);
}

.hero-banner h1 {
  font-family: var(--heading-font);
  font-weight: 500;
  font-size: 65px;
  line-height: 70px;
  letter-spacing: -1.84px;
  color: var(--white);
}

.hero-banner__slide .content {
  margin-top: auto;
  padding-top: 16px;
  border-top: 1px solid;
  border-color: var(--border3);
}

.hero-banner__slide .content .btn {
  margin-left: auto;
}

.hero-banner p {
  font-family: var(--font-primary);
  font-weight: 500;
  font-size: 18px;
  line-height: 26px;
  letter-spacing: -0.32px;
  color: var(--white);
}

.hero-banner__slider .owl-dots {
  position: absolute;
  max-width: calc(var(--container-width) - 80px);
  width: 100%;
  left: 40px;
  bottom: 30px;
  display: flex;
  justify-content: flex-end;
  gap: 6px;
  align-items: center;
}

.hero-banner__slider .owl-dots .owl-dot {
  padding: 11.24px 0;
}

.hero-banner__slider .owl-dots .owl-dot span {
  width: 36.6px;
  border: 0.76px solid #ffffff80;
  display: inline-block;
}

.hero-banner__slider .owl-dots .owl-dot.active span {
  border-color: var(--white);
}

@media (min-width: 1441px) {
  .hero-banner__slider .owl-dots {
    max-width: var(--container-width);
    left: calc((100vw - var(--container-width)) / 2 - 40px);
  }
}


/* <= 1399px */
@media (max-width: 1399px) {
  .hero-banner h1 {
    font-size: 68px;
    line-height: 76px;
  }

  .hero-banner p {
    font-size: 22px;
    line-height: 145%;
  }

  .hero-banner__slide img {
    height: 85vh;
  }

  .hero-banner__slide--content .title {
    margin-bottom: 100px;
  }


  .hero-banner__slider .owl-dots {
    left: unset;
    right: calc((100% - var(--container-width)) / 2 + 40px);
    max-width: calc(var(--container-width) - (var(--bs-gutter-x)));
  }
}

/* <= 1199px */
@media (max-width: 1199px) {
  .hero-banner h1 {
    font-size: 60px;
    line-height: 70px;
  }

  .hero-banner p {
    font-size: 20px;
    line-height: 140%;
  }

  .hero-banner__slide img {
    height: 520px;
  }
}

/* <= 991px */
@media (max-width: 991px) {
  .hero-banner h1 {
    font-size: 50px;
    line-height: 60px;
    padding-bottom: 10px;
  }

  .hero-banner__slide img {
    height: 460px;
  }

  .hero-banner__slide--content {
    padding: 50px 0 50px;
  }

  .hero-banner__slide--content .title {
    margin-bottom: 90px;
  }

  .hero-banner__slide .content .col-md-6:has(.btn) {
    width: 30%;
  }

  .hero-banner__slide .content .col-md-6:has(p) {
    width: 70%;
  }

  .hero-banner-slider .owl-nav button {
    width: 55px;
    height: 55px;
  }

  .hero-banner p {
    font-size: 18px;
    line-height: 140%;
    -webkit-line-clamp: 4;
  }

  .hero-banner__slide .content .btn {
    margin-left: auto;
  }

  .hero-banner__slider .owl-dots {
    left: unset;
    right: calc((100% - var(--container-width)) / 2 + 24px);
  }
}

/* <= 767px */
@media (max-width: 767px) {

  .banner-logo {
    width: 30px;
    height: 30px;
    position: absolute;
    top: -40px;
  }

  .hero-banner h1 {
    display: block;
    -webkit-line-clamp: unset;
    -webkit-box-orient: unset;
    overflow: unset;
    text-overflow: unset;
  }

  .hero-banner h1 {
    font-size: 38px;
    line-height: 46px;
  }

  .content__wrapper {
    flex-direction: column;
  }

  .hero-banner p {
    font-size: 16px;
    line-height: 135%;
  }

  .hero-banner__slide img {
    height: 430px;
  }

  .hero-banner__slide--content .title {
    margin-bottom: 50px;
    padding-top: 0 !important;
  }

  .hero-banner__slide--content .row>.col-lg-8 {
    max-width: 100%;
  }

  .hero-banner__slide .content .row {
    flex-direction: column;
    gap: 15px;
  }

  .hero-banner__slide .content .col-md-6:has(p) {
    width: 100%;
  }

  .hero-banner__slide .content .col-md-6:has(.btn) {
    width: 100%;
  }

  .hero-banner__slide .content .btn {
    margin-left: 0;
  }

  .hero-banner__slider .owl-dots {
    right: 24px;
  }
}

/* <= 480px */
@media (max-width: 480px) {
  .hero-banner h1 {
    font-size: 30px;
    line-height: 38px;
  }

  .hero-banner p {
    font-size: 14px;
    line-height: 130%;
  }

  .hero-banner__slide img {
    height: 430px;
  }

}